<?php
/**********************************************************************
***********************************************************************/

        
class suppliers_app extends application
{
    function __construct()
    {
        parent::__construct("AP", _($this->help_context = "&Purchases"));

        $this->add_module(_("Transactions"));

            $this->add_lapp_function(0, _("&Purchase Requisition Entry"),"purchasing/purchase_requisitions.php?NewRequisition=1", 'SA_PURCHASE_REQUISITION', MENU_TRANSACTION); 
            $this->add_lapp_function(0, _("&Purchase Indents"),"purchasing/purchase_requisition_indents.php?", 'SA_PURCHASE_REQUISITION', MENU_TRANSACTION); 
            $this->add_lapp_function(0, _("&Requisition Allocations"),"purchasing/purchase_requisition_allocations_new.php?", 'SA_PURCHASE_REQUISITION_ALLOCATION', MENU_TRANSACTION);

//            $this->add_lapp_function(0, _("&Requisition Allocations (Old)"),"purchasing/purchase_requisition_allocations.php?", 'SA_PURCHASE_REQUISITION_ALLOCATION', MENU_TRANSACTION);

            $this->add_lapp_function(0, _("&Generate POs"),"purchasing/generate_po.php?", 'SA_PURCHASEORDER_GENERATE', MENU_TRANSACTION);

            $this->add_lapp_function(0, "","");
            $this->add_lapp_function(0, _("Purchase &Order Entry"),"purchasing/po_entry_items.php?NewOrder=Yes", 'SA_PURCHASEORDER', MENU_TRANSACTION);

//            $this->add_lapp_function(0, _("Direct &GRN"),"purchasing/po_entry_items.php?NewGRN=Yes", 'SA_GRN', MENU_TRANSACTION);
//            $this->add_lapp_function(0, _("Direct &Invoice"),"purchasing/po_entry_items.php?NewInvoice=Yes", 'SA_SUPPLIERINVOICE', MENU_TRANSACTION);

            $this->add_lapp_function(0, "","");
            $this->add_lapp_function(0, _("&Outstanding Purchase Orders"),"purchasing/inquiry/outstanding_po_search.php?", 'SA_OUTSTANDING_PO_SEARCH', MENU_TRANSACTION);
            $this->add_lapp_function(0, _("&Outstanding Purchase Requisitions"),"purchasing/inquiry/outstanding_pr_search.php?", 'SA_PURCH_REQ_INQ', MENU_TRANSACTION);

//        $this->add_lapp_function(0, "","");
//		$this->add_lapp_function(0, _("&Purchase Requisition Issues"),
//			"requisitions/pr_issues.php?", 'SA_PURCHASE_REQUISITION', MENU_TRANSACTION); 


                

        
        $this->add_rapp_function(0, _("Approve Purchase Requisitions"),"purchasing/inquiry/approve_purchase_requisition_inquiry.php?Approves=1", 'SA_APPROVE_PURCH_REQUISITIONS', MENU_TRANSACTION); 
        $this->add_rapp_function(0, _("&Approve Purchase Orders"),"purchasing/inquiry/po_approve_search.php?", 'SA_PURCH_ORDERS_INQ', MENU_TRANSACTION);
 
        $this->add_rapp_function(0, "","");
        
        $this->add_rapp_function(0, _("&Reopen Purchase Requistion Allocations"),"purchasing/re_open_pr_allocations.php?", 'SA_REOPEN_PR_ALLLOCATIONS', MENU_TRANSACTION);
        $this->add_rapp_function(0, _("&Reopen Purchase Orders"),"purchasing/re_open_purchase_orders.php?", 'SA_REOPEN_PURCH_ORDERS', MENU_TRANSACTION);
        
        
        
        
        $this->add_rapp_function(0, "","");
        $this->add_rapp_function(0, _("&Post Dated Cheque Payments"),"purchasing/pdcs_issued.php?", 'SA_SUPPPDCSISSUED', MENU_TRANSACTION);
		$this->add_rapp_function(0, _("&Payments to Suppliers"),"purchasing/supplier_payment.php?", 'SA_SUPPLIERPAYMNT', MENU_TRANSACTION);
		//$this->add_rapp_function(0, "","");
		$this->add_rapp_function(0, _("Supplier &Invoices"),"purchasing/supplier_invoice.php?New=1", 'SA_SUPPLIERINVOICE', MENU_TRANSACTION);
        $this->add_rapp_function(0, _("Group Supplier Invoices"),"purchasing/supplier_invoice_grouping.php?", 'SA_SUPPLIERINVOICE_GROUPING', MENU_TRANSACTION);
		$this->add_rapp_function(0, _("Supplier &Credit Notes"),"purchasing/supplier_credit.php?New=1", 'SA_SUPPLIERCREDIT', MENU_TRANSACTION);
		$this->add_rapp_function(0, _("&Allocate Supplier Payments or Credit Notes"),"purchasing/allocations/supplier_allocation_main.php?", 'SA_SUPPLIERALLOC', MENU_TRANSACTION);

		
        
        $this->add_module(_("Inquiries and Reports"));
        $this->add_lapp_function(1, _("Purchase Requisition &Inquiry"),"purchasing/inquiry/purchase_requisition_inquiry.php?", 'SA_PURCH_REQ_INQ', MENU_INQUIRY);
        $this->add_lapp_function(1, _("Inventory Item &Purchase Requistions"),"purchasing/inquiry/item_purchase_requisition_inquiry.php?", 'SA_PURCH_REQ_INQ', MENU_INQUIRY);
                
        $this->add_lapp_function(1, _("Purchase Indents &Inquiry"),"purchasing/inquiry/purchase_indent_inquiry.php?", 'SA_PURCH_INDENTS_INQ', MENU_INQUIRY);
        $this->add_lapp_function(1, _("Purchase Orders &Inquiry"),"purchasing/inquiry/po_search_completed.php?", 'SA_PURCH_ORDERS_INQ', MENU_INQUIRY);
        $this->add_lapp_function(1, _("&GRN Inquiry"),"purchasing/inquiry/grn_inquiry.php?", 'SA_GRN_INQ', MENU_INQUIRY);
        $this->add_lapp_function(1, "","");
        
        $this->add_lapp_function(1, _("Purchase Requisition &Issues Inquiry"),"purchasing/inquiry/pr_issues_inquiry.php?", 'SA_PURCH_REQ_ISSUE_INQ', MENU_INQUIRY);
        $this->add_lapp_function(1, _("Purchase Requisition &Returns Inquiry"),"purchasing/inquiry/pr_returns_inquiry.php?", 'SA_PURCH_REQ_RETURN_INQ', MENU_INQUIRY);
        $this->add_lapp_function(1, _("Purchase Requisition Allocation &Inquiry"),"purchasing/inquiry/purchase_requisition_allocation_inquiry.php?", 'SA_PURCH_REQ_ALLOC_INQ', MENU_INQUIRY);
	
        
        
        
        
        
        $this->add_rapp_function(1, _("Supplier Balances"),"purchasing/inquiry/supplier_balances.php?", 'SA_SUPP_TRANS_INQ', MENU_INQUIRY);
        $this->add_rapp_function(1, _("Supplier Transaction &Inquiry"),"purchasing/inquiry/supplier_inquiry.php?", 'SA_SUPP_TRANS_INQ', MENU_INQUIRY);
//		$this->add_rapp_function(1, "","");
	$this->add_rapp_function(1, _("Supplier Allocation &Inquiry"),"purchasing/inquiry/supplier_allocation_inquiry.php?", 'SA_SUPP_ALLOC_INQ', MENU_INQUIRY);
//        $this->add_rapp_function(1, _("Document Links Inquiry"),"purchasing/inquiry/document_link_inquiry.php?", 'SA_DOCUMENT_LINKS_INQ', MENU_INQUIRY);
        $this->add_rapp_function(1, _("Outstanding Purchase Requisition Detail Inquiry"),"purchasing/inquiry/outstanding_purchase_requisition_detail_inquiry.php?", 'SA_PURCH_REQ_INQ', MENU_INQUIRY);
        $this->add_rapp_function(1, "","");
        $this->add_rapp_function(1, _("Post Dated Cheques View"),"purchasing/inquiry/pdcs_view.php?", 'SA_SUPPPDCSISSUED', MENU_INQUIRY);
        
        $this->add_rapp_function(1, "","");
        $this->add_rapp_function(1, _("Supplier and Purchasing &Reports"),"reporting/reports_main.php?Class=".RC_SUPPLIER, 'SA_SUPPLIERANALYTIC', MENU_REPORT);


        $this->add_module(_("Maintenance"));
        $this->add_lapp_function(2, _("&Suppliers"),
			"purchasing/manage/suppliers.php?", 'SA_SUPPLIER', MENU_ENTRY);
//                $this->add_lapp_function(2, _("PR &Approval Hierarchy"),
//			"purchasing/manage/pr_approval_hierarchy.php?", 'SA_SUPPLIER', MENU_ENTRY);

        $this->add_extensions();
    }
}


?>